#version 430 core
/*
* Copyright 2019 Vienna University of Technology.
* Institute of Computer Graphics and Algorithms.
* This file is part of the ECG Lab Framework and must not be redistributed.
*/

in vec2 UV;
out vec4 fragColor;

uniform sampler2D diffuseTexture;
uniform float brightness;

uniform float window_brightness;

void main() {
   fragColor = texture( diffuseTexture, UV );
   fragColor *= brightness;
   
   fragColor.xyz = fragColor.xyz * window_brightness;
}

